Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.property
Class AbstractPropertyMapKey

    java.lang.Object
      |
      +--com.bea.p13n.property.AbstractPropertyMapKey

public abstract class AbstractPropertyMapKey
extends java.lang.Object
implements PropertyMapKey, java.io.Serializable

Lightweight object used as a key for entity properties.

See Also:
  `EntityPropertyCache`, Serialized Form

Constructor Summary
`AbstractPropertyMapKey()` Default constructor
`AbstractPropertyMapKey(java.lang.String aPropertySetName, java.lang.String aPropertyName)` Initializing Constructor

Method Summary
`int` | `compareTo(java.lang.Object o)` Standard compareTo operator
`boolean` | `equals(java.lang.Object o)` Equals operator
`java.lang.String` | `getPropertyName()` Get the name of the property
`java.lang.String` | `getPropertySetName()` Get the PropertySet this property belongs to
`int` | `hashCode()` Calculate a hashCode based on all fields, for lookups in a HashMap
`void` | `setPropertyName(java.lang.String aPropertyName)` Set the name of the property
`void` | `setPropertySetName(java.lang.String aPropertySetName)` Set the PropertySet this property belongs to
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AbstractPropertyMapKey

    public AbstractPropertyMapKey()

  Default constructor

### AbstractPropertyMapKey

    public AbstractPropertyMapKey(java.lang.String aPropertySetName,
                                  java.lang.String aPropertyName)

  Initializing Constructor

  Parameters:
    `aPropertySetName` - the property set for this key
    `aPropertyName` - the property name for this key

Method Detail

### equals

    public boolean equals(java.lang.Object o)

  Equals operator

  Parameters:
    `o` - the object to compare
  Returns:
    true if it is the same kind of object, and all fields match
  Overrides:
    equals in class java.lang.Object

### compareTo

    public int compareTo(java.lang.Object o)

  Standard compareTo operator

### hashCode

    public int hashCode()

  Calculate a hashCode based on all fields, for lookups in a HashMap

  Overrides:
    hashCode in class java.lang.Object

### toString

    public java.lang.String toString()

  Returns:
    a String representation of this map key
  Overrides:
    toString in class java.lang.Object

### setPropertySetName

    public void setPropertySetName(java.lang.String aPropertySetName)

  Set the PropertySet this property belongs to

### getPropertySetName

    public java.lang.String getPropertySetName()

  Get the PropertySet this property belongs to
  Specified by:
    getPropertySetName in interface PropertyMapKey

### setPropertyName

    public void setPropertyName(java.lang.String aPropertyName)

  Set the name of the property

### getPropertyName

    public java.lang.String getPropertyName()

  Get the name of the property
  Specified by:
    getPropertyName in interface PropertyMapKey

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved